Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.parsers
Class AbstractSAXParser.LocatorProxy

    java.lang.Object
      weblogic.apache.xerces.parsers.AbstractSAXParser.LocatorProxy

All Implemented Interfaces:
  Locator

Enclosing class:
  AbstractSAXParser

protected static class AbstractSAXParser.LocatorProxy
extends Object
implements Locator

Field Summary
`protected XMLLocator` | `fLocator` XML locator.

Constructor Summary
`AbstractSAXParser.LocatorProxy(XMLLocator locator)` Constructs an XML locator proxy.

Method Summary
`int` | `getColumnNumber()` Column number.
`int` | `getLineNumber()` Line number.
`String` | `getPublicId()` Public identifier.
`String` | `getSystemId()` System identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fLocator

    protected XMLLocator fLocator

  XML locator.

Constructor Detail

### AbstractSAXParser.LocatorProxy

    public AbstractSAXParser.LocatorProxy(XMLLocator locator)

  Constructs an XML locator proxy.

Method Detail

### getColumnNumber

    public int getColumnNumber()

  Column number.

  Specified by:
    `getColumnNumber` in interface `Locator`

### getLineNumber

    public int getLineNumber()

  Line number.

  Specified by:
    `getLineNumber` in interface `Locator`

### getPublicId

    public String getPublicId()

  Public identifier.

  Specified by:
    `getPublicId` in interface `Locator`

### getSystemId

    public String getSystemId()

  System identifier.

  Specified by:
    `getSystemId` in interface `Locator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD